# Generated by CMake

if("${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION}" LESS 2.8)
   message(FATAL_ERROR "CMake >= 3.0.0 required")
endif()
if(CMAKE_VERSION VERSION_LESS "3.0.0")
   message(FATAL_ERROR "CMake >= 3.0.0 required")
endif()
cmake_policy(PUSH)
cmake_policy(VERSION 3.0.0...3.29)
#----------------------------------------------------------------
# Generated CMake target import file.
#----------------------------------------------------------------

# Commands may need to know the format version.
set(CMAKE_IMPORT_FILE_VERSION 1)

# Protect against multiple inclusion, which would fail when already imported targets are added once more.
set(_cmake_targets_defined "")
set(_cmake_targets_not_defined "")
set(_cmake_expected_targets "")
foreach(_cmake_expected_target IN ITEMS GXF::common GXF::common_internal GXF::core_c_api GXF::core_internal GXF::core GXF::logger GXF::gxf_logger GXF::std_gems_event_list_event_list GXF::std_gems_event_list_unique_event_list GXF::std_gems_event_list GXF::std_gems_pool_fixed_pool_uint64 GXF::std_gems_queue_thread GXF::std_gems_staging_queue_staging_queue GXF::std_gems_staging_queue_staging_queue_iterator GXF::std_gems_staging_queue GXF::std_gems_suballocators_internal GXF::std_gems_timed_job_list GXF::std_gems_utils_internal GXF::std_gems_video_buffer GXF::std_internal GXF::std GXF::gxe)
  list(APPEND _cmake_expected_targets "${_cmake_expected_target}")
  if(TARGET "${_cmake_expected_target}")
    list(APPEND _cmake_targets_defined "${_cmake_expected_target}")
  else()
    list(APPEND _cmake_targets_not_defined "${_cmake_expected_target}")
  endif()
endforeach()
unset(_cmake_expected_target)
if(_cmake_targets_defined STREQUAL _cmake_expected_targets)
  unset(_cmake_targets_defined)
  unset(_cmake_targets_not_defined)
  unset(_cmake_expected_targets)
  unset(CMAKE_IMPORT_FILE_VERSION)
  cmake_policy(POP)
  return()
endif()
if(NOT _cmake_targets_defined STREQUAL "")
  string(REPLACE ";" ", " _cmake_targets_defined_text "${_cmake_targets_defined}")
  string(REPLACE ";" ", " _cmake_targets_not_defined_text "${_cmake_targets_not_defined}")
  message(FATAL_ERROR "Some (but not all) targets in this export set were already defined.\nTargets Defined: ${_cmake_targets_defined_text}\nTargets not yet defined: ${_cmake_targets_not_defined_text}\n")
endif()
unset(_cmake_targets_defined)
unset(_cmake_targets_not_defined)
unset(_cmake_expected_targets)


# Compute the installation prefix relative to this file.
get_filename_component(_IMPORT_PREFIX "${CMAKE_CURRENT_LIST_FILE}" PATH)
get_filename_component(_IMPORT_PREFIX "${_IMPORT_PREFIX}" PATH)
get_filename_component(_IMPORT_PREFIX "${_IMPORT_PREFIX}" PATH)
get_filename_component(_IMPORT_PREFIX "${_IMPORT_PREFIX}" PATH)
if(_IMPORT_PREFIX STREQUAL "/")
  set(_IMPORT_PREFIX "")
endif()

# Create imported target GXF::common
add_library(GXF::common INTERFACE IMPORTED)

set_target_properties(GXF::common PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include"
  INTERFACE_LINK_LIBRARIES "GXF::common_internal;GXF::logger;\$<LINK_ONLY:Threads::Threads>"
)

# Create imported target GXF::common_internal
add_library(GXF::common_internal INTERFACE IMPORTED)

set_target_properties(GXF::common_internal PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include"
  INTERFACE_LINK_LIBRARIES "CUDA::nvtx3"
)

# Create imported target GXF::core_c_api
add_library(GXF::core_c_api INTERFACE IMPORTED)

set_target_properties(GXF::core_c_api PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include"
)

# Create imported target GXF::core_internal
add_library(GXF::core_internal INTERFACE IMPORTED)

set_target_properties(GXF::core_internal PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include"
  INTERFACE_LINK_LIBRARIES "GXF::common;GXF::core_c_api;GXF::logger;Threads::Threads;magic_enum::magic_enum;\$<LINK_ONLY:yaml-cpp::yaml-cpp>"
)

# Create imported target GXF::core
add_library(GXF::core SHARED IMPORTED)

set_target_properties(GXF::core PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include"
  INTERFACE_LINK_LIBRARIES "GXF::common;GXF::core_internal;GXF::logger;Threads::Threads"
)

# Create imported target GXF::logger
add_library(GXF::logger SHARED IMPORTED)

set_target_properties(GXF::logger PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include"
)

# Create imported target GXF::gxf_logger
add_library(GXF::gxf_logger INTERFACE IMPORTED)

set_target_properties(GXF::gxf_logger PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include"
  INTERFACE_LINK_LIBRARIES "GXF::logger"
)

# Create imported target GXF::std_gems_event_list_event_list
add_library(GXF::std_gems_event_list_event_list INTERFACE IMPORTED)

set_target_properties(GXF::std_gems_event_list_event_list PROPERTIES
  INTERFACE_LINK_LIBRARIES "GXF::common;Threads::Threads"
)

# Create imported target GXF::std_gems_event_list_unique_event_list
add_library(GXF::std_gems_event_list_unique_event_list INTERFACE IMPORTED)

set_target_properties(GXF::std_gems_event_list_unique_event_list PROPERTIES
  INTERFACE_LINK_LIBRARIES "GXF::common;Threads::Threads"
)

# Create imported target GXF::std_gems_event_list
add_library(GXF::std_gems_event_list INTERFACE IMPORTED)

set_target_properties(GXF::std_gems_event_list PROPERTIES
  INTERFACE_LINK_LIBRARIES "GXF::std_gems_event_list_event_list;GXF::std_gems_event_list_unique_event_list"
)

# Create imported target GXF::std_gems_pool_fixed_pool_uint64
add_library(GXF::std_gems_pool_fixed_pool_uint64 INTERFACE IMPORTED)

set_target_properties(GXF::std_gems_pool_fixed_pool_uint64 PROPERTIES
  INTERFACE_LINK_LIBRARIES "GXF::common"
)

# Create imported target GXF::std_gems_queue_thread
add_library(GXF::std_gems_queue_thread INTERFACE IMPORTED)

set_target_properties(GXF::std_gems_queue_thread PROPERTIES
  INTERFACE_LINK_LIBRARIES "GXF::core_internal"
)

# Create imported target GXF::std_gems_staging_queue_staging_queue
add_library(GXF::std_gems_staging_queue_staging_queue INTERFACE IMPORTED)

set_target_properties(GXF::std_gems_staging_queue_staging_queue PROPERTIES
  INTERFACE_LINK_LIBRARIES "GXF::std_gems_staging_queue_staging_queue_iterator;GXF::common;Threads::Threads"
)

# Create imported target GXF::std_gems_staging_queue_staging_queue_iterator
add_library(GXF::std_gems_staging_queue_staging_queue_iterator INTERFACE IMPORTED)

# Create imported target GXF::std_gems_staging_queue
add_library(GXF::std_gems_staging_queue INTERFACE IMPORTED)

set_target_properties(GXF::std_gems_staging_queue PROPERTIES
  INTERFACE_LINK_LIBRARIES "GXF::std_gems_staging_queue_staging_queue;GXF::std_gems_staging_queue_staging_queue_iterator"
)

# Create imported target GXF::std_gems_suballocators_internal
add_library(GXF::std_gems_suballocators_internal INTERFACE IMPORTED)

set_target_properties(GXF::std_gems_suballocators_internal PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "/workspace/holoscan-sdk/gxf-build-aarch64/gxf-install"
  INTERFACE_LINK_LIBRARIES "GXF::common;GXF::core_internal"
)

# Create imported target GXF::std_gems_timed_job_list
add_library(GXF::std_gems_timed_job_list INTERFACE IMPORTED)

set_target_properties(GXF::std_gems_timed_job_list PROPERTIES
  INTERFACE_LINK_LIBRARIES "GXF::core_internal"
)

# Create imported target GXF::std_gems_utils_internal
add_library(GXF::std_gems_utils_internal INTERFACE IMPORTED)

set_target_properties(GXF::std_gems_utils_internal PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "/workspace/holoscan-sdk/gxf-build-aarch64/gxf-install"
  INTERFACE_LINK_LIBRARIES "GXF::common;GXF::core_internal"
)

# Create imported target GXF::std_gems_video_buffer
add_library(GXF::std_gems_video_buffer INTERFACE IMPORTED)

set_target_properties(GXF::std_gems_video_buffer PROPERTIES
  INTERFACE_LINK_LIBRARIES "GXF::core_internal"
)

# Create imported target GXF::std_internal
add_library(GXF::std_internal INTERFACE IMPORTED)

set_target_properties(GXF::std_internal PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include"
  INTERFACE_LINK_LIBRARIES "GXF::common;GXF::core_internal;GXF::std_gems_event_list;GXF::std_gems_pool_fixed_pool_uint64;GXF::std_gems_queue_thread;GXF::std_gems_staging_queue;GXF::std_gems_timed_job_list;GXF::std_gems_video_buffer;CCCL::CCCL;CUDA::cudart;CUDA::nvtx3;dlpack::dlpack;Threads::Threads;yaml-cpp::yaml-cpp;\$<LINK_ONLY:GXF::std_gems_suballocators_internal>;\$<LINK_ONLY:GXF::std_gems_utils_internal>"
)

# Create imported target GXF::std
add_library(GXF::std SHARED IMPORTED)

set_target_properties(GXF::std PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include"
  INTERFACE_LINK_LIBRARIES "GXF::common;GXF::core;GXF::std_internal;CCCL::CCCL"
)

# Create imported target GXF::gxe
add_executable(GXF::gxe IMPORTED)

# Load information for each installed configuration.
file(GLOB _cmake_config_files "${CMAKE_CURRENT_LIST_DIR}/GXFCoreTargets-*.cmake")
foreach(_cmake_config_file IN LISTS _cmake_config_files)
  include("${_cmake_config_file}")
endforeach()
unset(_cmake_config_file)
unset(_cmake_config_files)

# Cleanup temporary variables.
set(_IMPORT_PREFIX)

# Loop over all imported files and verify that they actually exist
foreach(_cmake_target IN LISTS _cmake_import_check_targets)
  if(CMAKE_VERSION VERSION_LESS "3.28"
      OR NOT DEFINED _cmake_import_check_xcframework_for_${_cmake_target}
      OR NOT IS_DIRECTORY "${_cmake_import_check_xcframework_for_${_cmake_target}}")
    foreach(_cmake_file IN LISTS "_cmake_import_check_files_for_${_cmake_target}")
      if(NOT EXISTS "${_cmake_file}")
        message(FATAL_ERROR "The imported target \"${_cmake_target}\" references the file
   \"${_cmake_file}\"
but this file does not exist.  Possible reasons include:
* The file was deleted, renamed, or moved to another location.
* An install or uninstall procedure did not complete successfully.
* The installation package was faulty and contained
   \"${CMAKE_CURRENT_LIST_FILE}\"
but not all the files it references.
")
      endif()
    endforeach()
  endif()
  unset(_cmake_file)
  unset("_cmake_import_check_files_for_${_cmake_target}")
endforeach()
unset(_cmake_target)
unset(_cmake_import_check_targets)

# This file does not depend on other imported targets which have
# been exported from the same project but in a separate export set.

# Commands beyond this point should not need to know the version.
set(CMAKE_IMPORT_FILE_VERSION)
cmake_policy(POP)
